Last Comment Bug 763319 - Can't save messages as *.txt and *.html
: Can't save messages as *.txt and *.html
Status: RESOLVED FIXED
: regression
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: 13
: x86_64 Windows 7
: -- normal with 1 vote (vote)
: Thunderbird 16.0
Assigned To: David :Bienvenu
:
:
Mentors:
: 762008 763281 763428 765354 (view as bug list)
Depends on:
Blocks: 186724
  Show dependency treegraph
 
Reported: 2012-06-10 10:49 PDT by Bernd
Modified: 2012-06-15 15:52 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
+
fixed
+
fixed


Attachments
Bild 022.png (8.46 KB, image/png)
2012-06-10 10:49 PDT, Bernd
no flags Details
fix save as txt, html (912 bytes, patch)
2012-06-10 14:08 PDT, David :Bienvenu
neil: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑release+
Details | Diff | Splinter Review

Description Bernd 2012-06-10 10:49:24 PDT
Created attachment 631752 [details]
Bild 022.png

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20100101 Firefox/13.0
Build ID: 20120601045813

Steps to reproduce:

Try to save a message as *.txt or *.html. 
The message can be a plain text or HTML one.
You can use right click menu -> Save As...
or
File > Save As > file > 
In both cases you have to change the file type in the popping up window.


Actual results:

I get an error message (see attachment in German language) that says:
 "Can't save message. Please, verify file name and try it later."
I can save the mail just as eml.



Expected results:

Thunderbird should save the mail as *.html or *.txt as it does in v. 11.0 without problems.
Comment 1 Magnus Melin 2012-06-10 12:51:27 PDT
*** Bug 763281 has been marked as a duplicate of this bug. ***
Comment 2 Alice0775 White 2012-06-10 13:56:29 PDT
Regression window
Good:
http://hg.mozilla.org/comm-central/rev/4f7dd383534c
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20120307 Thunderbird/13.0a1 ID:20120307030033
Bad:
http://hg.mozilla.org/comm-central/rev/946cf51e8327
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20120308 Thunderbird/13.0a1 ID:20120308030048
Pushlog:
http://hg.mozilla.org/comm-central/pushloghtml?fromchange=4f7dd383534c&tochange=946cf51e8327

Suspected: Bug 186724
Comment 3 David :Bienvenu 2012-06-10 14:08:10 PDT
Created attachment 631772 [details] [diff] [review]
fix save as txt, html
Comment 4 Joe Sabash [:JoeS1] 2012-06-10 14:15:52 PDT
*** Bug 762008 has been marked as a duplicate of this bug. ***
Comment 5 :aceman 2012-06-10 14:22:18 PDT
Oh, this got undetected into 13.0 release :( Candidate for 13.0.1?
Comment 6 Jo Hermans 2012-06-11 03:46:32 PDT
*** Bug 763428 has been marked as a duplicate of this bug. ***
Comment 7 Mark Banner (:standard8) 2012-06-11 04:04:18 PDT
Can we get a unit test for saving messages as well, I thought we had one (but maybe that's eml not html/txt)?
Comment 8 neil@parkwaycc.co.uk 2012-06-11 04:31:28 PDT
Comment on attachment 631772 [details] [diff] [review]
fix save as txt, html

SetSpec can fail for a valid URL? That's unhelpful...
Comment 9 David :Bienvenu 2012-06-11 06:58:38 PDT
(In reply to neil@parkwaycc.co.uk from comment #8)
> Comment on attachment 631772 [details] [diff] [review]
> fix save as txt, html
> 
> SetSpec can fail for a valid URL? That's unhelpful...

Set spec fails on windows if the file doesn't exist
Comment 10 David :Bienvenu 2012-06-11 07:49:59 PDT
fixed on trunk http://hg.mozilla.org/comm-central/rev/71786ff7840c
Comment 11 Mark Banner (:standard8) 2012-06-12 05:53:44 PDT
Comment on attachment 631772 [details] [diff] [review]
fix save as txt, html

[Triage Comment]
a=me for branches, we also want this for 13.0.1.
Comment 13 Mark Banner (:standard8) 2012-06-12 07:27:07 PDT
Fixed for 13.0.1:

https://hg.mozilla.org/releases/comm-release/rev/9f64f487a957
Comment 14 Matthias Versen [:Matti] 2012-06-15 15:52:17 PDT
*** Bug 765354 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.